Subject: Re: bug#7587: 23.2; `format-mode-line' makes Emacs crash

From: Stefan Monnier <[email-masked]>
Date: Fri, 10 Dec 2010 15:50:31 -0500

> This happens because, for some reason I don't understand, when
> face-remapping-alist is non-nil, lookup_basic_face insists on getting
> only one of the basic faces, and otherwise aborts:

I don't know anything about this code, but the name `lookup_basic_face'
suggests it only works for basic faces, so maybe the problem is that the
function gets incorrectly called for a non-basic face.

        Stefan